=== debian/control ===
Source: win32-loader
Section: utils
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Robert Millan <rmh@debian.org>
Build-Depends: cdbs, debhelper (>= 5), nsis (>= 2.25-1), mingw32, gettext, grub-pc (>= 1.95+20070828-1), grubutil-win32, locales-all
Standards-Version: 3.7.2

Package: win32-loader
Architecture: all
Depends: base-files (>= 4.0.1)
Suggests: wine
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 It can act as a standalone netboot loader (for a practical example, see
 http://goodbye-microsoft.com/), or as a cdrom/usb-disk add-on that starts
 a media-based install.
