=== l10n/Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
-LINGUAS=bg ca cs de en es eu fi fr he hu it ja nl pt ru sk sv tr
+LINGUAS=be bg ca cs de el en es eu fi fr gl he hr hu it ja ko lt nb nl pl pt pt_BR ro ru sk sq sv th tr zh_CN zh_TW
 
 all: templates/all.nsh templates/dialog.nsh po/messages.pot
 
 templates/dialog.nsh: templates/all.nsh
 	for i in $(LINGUAS) ; do \
 		echo "Push \$${`LANGUAGE=$$i ./win32-loader.sh LANG_ENGLISH`}" ; \
-		echo "Push `LANGUAGE=$$i ./win32-loader.sh English`" ; \
+		echo "Push \"`LANGUAGE=$$i ./win32-loader.sh English`\"" ; \
 	done > $@
 
 templates/all.nsh: $(foreach lang, $(LINGUAS), templates/$(lang).nsh)
-	cat $^ > $@
+	for i in $^ ; do echo "; BEGIN $$i" ; cat $$i ; echo "; END $$i" ; done > $@
 
 win32-loader: win32-loader.c
 	gcc -DTEXTDOMAINDIR=\"$(CURDIR)/locale\" $^ -o $@
