=== debian/changelog ===
win32-loader (0.6.10) unstable; urgency=low

  * Scan for the System Partition and use it consistently.  Fix problem that
    breaks cpio.bat when system partition != boot partition.  (Closes: #509299)

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by mvillarino  (Closes: #510388)
  * Japanese (ja.po) by Hideki Yamane (Debian-JP)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár  (Closes: #510199)
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall  (Closes: #509711)

 -- Robert Millan <rmh@aybabtu.com>  Sun, 18 Jan 2009 13:07:46 +0100

win32-loader (0.6.9) unstable; urgency=high

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat  (Closes: #499605)
  * Turkish (tr.po) by Mert Dirik  (Closes: #500962)

  [ Robert Millan ]
  * Build-depend on a DFSG-clean version of loadlin.  (Closes: #497676)
  * Remove workaround for #469533 (it was no longer useful with Linux
    images in lenny, anyway).
  * main.nsi: Remove "search" command in grub.cfg.  It was a no-op.
  * Build-depend on grubutil-win32 >= 1.1-18-3.  (Closes: #503432)

 -- Robert Millan <rmh@aybabtu.com>  Thu, 30 Oct 2008 16:29:24 +0100

win32-loader (0.6.8) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) unfuzzied
  * Russian (ru.po) by Yuri Kozlov  (Closes: #491446)
  * Swedish (sv.po) by Martin Bagge  (Closes: #490155)
  * Vietnamese (vi.po) by Clytie Siddall.
  * Romanian (ro.po) by Eddy Petrișor
  * Traditional Chinese (zh_TW.po) by Tetralet

  [ Added translations ]
  * Dzongkha (dz.po) by Tenzin Dendup.
    This language is not activated yet because NSIS is not
    translated. It is not even guaranteed that Windows
    supports Dzongkha, indeed.
  * Lithuanian (lt.po) by Gintautas Miliauskas. Closes: #497458
  * Greek (el.po) by Emmanuel galatoulas (reviewed by Faidon Liambotis).
  * Croatian (hr.po) by Josip Rodin.

  [ Robert Millan ]
  * Build-Depend on grub-pc >= 1.96+20080724-10.  (Closes: #496981)

 -- Robert Millan <rmh@aybabtu.com>  Wed, 10 Sep 2008 00:38:00 +0200

win32-loader (0.6.7) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Stefano Canepa
  * Polish (pl.po) by Wiktor Wandachowicz
  * Albanian (sq.po) by Elian Myftiu
  * Turkish (tr.po) by Mert Dirik

 -- Robert Millan <rmh@aybabtu.com>  Sun, 22 Jun 2008 00:05:53 +0200

win32-loader (0.6.6) unstable; urgency=low

  * l10n-ize the DetailPrint calls.
  * Move "compact" call down _after_ all the files it's supposed to
    uncompress have been fetched.
  * Accept "default_desktop" parameter in "[installer]" section of
    win32-loader.ini.  (Closes: #473320)
  * Probe for boot.ini in all conceiveable drives.  (Closes: #479180,
    #442262)

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Robert Millan
  * Czech (cs.po) by Miroslav Kure
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tommi Vainikainen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Japanese (ja.po) by Hideki Yamane (Debian-JP) (Closes: #473186)
  * Korean (ko.po) by Sunjae Park
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovak (sk.po) by Peter Mann
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Simplified Chinese (zh_CN.po) by Deng Xiyue (Closes: #478988)

 -- Robert Millan <rmh@aybabtu.com>  Mon,  5 May 2008 16:45:14 +0200

win32-loader (0.6.5) unstable; urgency=low

  * echo 5 > debian/compat
  * Makefile: Fix stamp handling in iso target.
  * Add a few DetailPrint calls.

 -- Robert Millan <rmh@aybabtu.com>  Tue, 18 Mar 2008 01:17:01 +0100

win32-loader (0.6.4) experimental; urgency=low

  * Rename "Debconf preseed line:" to "Linux cmdline".
  * Bring back support for Windows 98.

 -- Robert Millan <rmh@aybabtu.com>  Wed,  5 Mar 2008 19:56:57 +0100

win32-loader (0.6.3) unstable; urgency=low

  * Use RequestExecutionLevel to disable idiotic compatibility mode where
    Vista identifies itself as XP.

 -- Robert Millan <rmh@aybabtu.com>  Sun, 24 Feb 2008 21:24:40 +0100

win32-loader (0.6.2) unstable; urgency=low

  * s/XFCE/Xfce/g.  (Closes: #466333)
  * Fix bcdedit load in 64-bit Vista.  Thanks Amir Szekely for the hints.
    (Closes: #441379)

  [ Updated translations ]
  * Traditional Chinese (zh_TW.po) by Tetralet (Closes: #464972)

 -- Robert Millan <rmh@aybabtu.com>  Sun, 24 Feb 2008 11:29:54 +0100

win32-loader (0.6.1) unstable; urgency=low

  * Set the "seen" flag to false for preseed variables that weren't intended
    to be skipped.
  * control (Build-Depends): Avoid grub-pc (>= 1.96+20080203) & grubutil-win32
    (<< 1.1-18-2) deadly combination.

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Robert Millan <rmh@aybabtu.com>  Sun, 17 Feb 2008 12:34:44 +0100

win32-loader (0.6.0) unstable; urgency=low

  * Add page to allow user into rescue mode.
  * Preseed quietness on non-expert installs.
  * Disable LicenseForceSelection.
  * Add dialog to choose desktop environment (GNOME, KDE, XFCE, None).
    (Closes: #442209)
  * Detect and preseed passwd/user-fullname (without setting the seen flag).
  * Do not preseed "interface=auto". Do not set the seen flag for
    "domain" and "time/zone".
  * Correct a pair of mistakes in English strings (thanks Jens Seidel).
  * Fix dialog.nsh generation for languages whose names have more than
    one word (welcome, Norwegian Bokmål).

