=== debian/control ===
--- 
+++ 
@@ -2,13 +2,22 @@
 Section: utils
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Robert Millan <rmh@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), nsis (>= 2.25-1), mingw32, gettext, grub-pc (>= 1.95+20070828-1), grubutil-win32, locales-all
+Uploaders: Robert Millan <rmh@aybabtu.com>
+Build-Depends:
+ cdbs,
+ debhelper (>= 5),
+ nsis (>= 2.25),
+ mingw32,
+ gettext,
+ grub-pc (>= 1.96+20080724-10), grubutil-win32 (>= 1.1-18-3),
+ loadlin (>= 1.6c.really1.6c.nobin-1~),
+ locales-all,
+ cpio-win32 (>= 2.9-11), gzip-win32
 Standards-Version: 3.7.2
 
 Package: win32-loader
 Architecture: all
-Depends: base-files (>= 4.0.1)
+Depends: base-files (>= 4.0.1~)
 Suggests: wine
 Description: Debian-Installer loader for win32
  This package provides a win32 program that can be used as a loader for
