=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# override "clean" in cdbs
DEB_MAKE_CLEAN_TARGET = distclean
