## win32-loader 0.6.21+squeeze0

=== Makefile ===
--- 
+++ 
@@ -4,35 +4,47 @@
 PACKAGE	:= win32-loader
 VERSION	:= $(shell head -n 1 debian/changelog | sed -e "s/^$(PACKAGE) (\(.*\)).*/\1/g")
 
-CC		:= i586-mingw32msvc-gcc -Os
-STRIP		:= i586-mingw32msvc-strip
-CFLAGS		:= -Wl,--file-alignment,512 -Werror
+NSIS_CC		:= i586-mingw32msvc-gcc -Os
+NSIS_STRIP	:= i586-mingw32msvc-strip
+NSIS_CFLAGS	:= -Wl,--file-alignment,512 -Werror -D_WIN32_WINNT=0x0500
 
-MAKENSIS	:= makensis
+ifeq ($(wildcard /usr/i586-mingw32msvc/include/exdll.h), /usr/i586-mingw32msvc/include/exdll.h)
+NSIS_CFLAGS	+= -DHAVE_EXDLL_H
+else
+NSIS_CFLAGS	+= -L/usr/i586-mingw32msvc/lib/nsis -lpluginapi
+endif
+
+MAKENSIS	:= makensis -V3
+# Standalone version : Not linked to a website with preseed.cfg
+ifdef STANDALONE
+MAKENSIS	+= -DNOCD=yes
+endif
+
+# Network version : Linked to a website with preseed.cfg
 ifdef NETWORK_BASE_URL
-MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL)
+MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL) -DNOCD=yes
 endif
 
 # hard disk
 GRUB_MODULES	+= biosdisk
 # partmap
-GRUB_MODULES	+= pc gpt
+GRUB_MODULES	+= part_msdos part_gpt
 # fs
 GRUB_MODULES	+= fat ntfs ntfscomp
 # used in our grub.cfg
-GRUB_MODULES	+= search linux _linux boot
+GRUB_MODULES	+= search linux bsd vbe boot
 # might be useful for debugging
-GRUB_MODULES	+= cat cpuid _chain chain halt help ls reboot
+GRUB_MODULES	+= minicmd cat cpuid chain halt help ls reboot
 
 all: win32-loader.exe g2ldr g2ldr.mbr
 
 core.img:
-	grub-mkimage -o $@ --prefix / $(GRUB_MODULES)
+	grub-mkimage --output=$@ --prefix=/win32-loader --format=i386-pc $(GRUB_MODULES)
 
-g2ldr: /usr/lib/grubutil/g2hdr.bin core.img
+g2ldr: /usr/lib/grub/i386-pc/g2hdr.bin core.img
 	cat $^ > $@
 
-g2ldr.mbr: /usr/lib/grubutil/g2ldr.mbr
+g2ldr.mbr: /usr/lib/grub/i386-pc/g2ldr.mbr
 	cp $^ $@
 
 loadlin.pif: genpif
@@ -44,7 +56,7 @@
 win32-loader.exe: main.nsi maps.ini \
 		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
 		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
-		swirl.ico license loadlin.pif loadlin.exe
+		swirl.ico license loadlin.pif loadlin.exe g2ldr g2ldr.mbr
 	$(MAKE) -C l10n
 	$(MAKENSIS) main.nsi
 	du -h win32-loader.exe
@@ -53,16 +65,16 @@
 	sed -e "s/@VERSION@/$(VERSION)/g" < $< > $@
 
 plugins/cpuid/test64.dll: plugins/cpuid/cpuid.c plugins/cpuid/plugin.c
-	$(CC) $(CFLAGS) $^ -shared -o $@
-	$(STRIP) $@
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+	$(NSIS_STRIP) $@
 
 plugins/systeminfo/systeminfo.dll: plugins/systeminfo/systeminfo.c
-	$(CC) $(CFLAGS) $^ -shared -o $@
-	$(STRIP) $@
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+	$(NSIS_STRIP) $@
 
 plugins/string.dll: plugins/string.c
-	$(CC) $(CFLAGS) $^ -shared -o $@
-	$(STRIP) $@
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+	$(NSIS_STRIP) $@
 
 iso: stable.iso daily.iso
 stable.iso: \
@@ -98,17 +110,17 @@
 
 netboot/download-daily-stamp:
 	mkdir -p netboot/daily/install.{386,amd}/gtk
-	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/debian-installer/i386/linux \
+	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/linux \
 		-O netboot/daily/install.386/vmlinuz
-	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/debian-installer/i386/initrd.gz \
+	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/initrd.gz \
 		-O netboot/daily/install.386/initrd.gz
-	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/gtk/debian-installer/i386/initrd.gz \
+	wget http://d-i.debian.org/daily-images/i386/daily/netboot/gtk/debian-installer/i386/initrd.gz \
 		-O netboot/daily/install.386/gtk/initrd.gz
-	wget http://people.debian.org/~aba/d-i/images/daily/netboot/debian-installer/amd64/linux \
+	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/linux \
 		-O netboot/daily/install.amd/vmlinuz
-	wget http://people.debian.org/~aba/d-i/images/daily/netboot/debian-installer/amd64/initrd.gz \
+	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/initrd.gz \
 		-O netboot/daily/install.amd/initrd.gz
-	wget http://people.debian.org/~aba/d-i/images/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
+	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
 		-O netboot/daily/install.amd/gtk/initrd.gz
 	touch $@
