=== debian/changelog ===
win32-loader (0.6.21+squeeze0) stable; urgency=low

  The "GPL compliance" release.

  * Add a dpkg-distaddfile byhand call to install win32-loader-
    standalone.exe as tools/$(SUITE)/win32-loader.exe on the mirrors.
  * Document which packages in which versions are embedded in the
    standalone flavour.
  * Add acknowledgement to NSIS in the companion text file.
  * Include version number in the companion text.
  * Update debian/copyright and the companion text to point to the real
    source locations.
  * Use the Built-Using field and enhance the sources documentation.

 -- Didier Raboud <didier@raboud.com>  Wed, 28 Sep 2011 13:49:11 +0200

win32-loader (0.6.21) unstable; urgency=low

  [ Updated translations ]
    - Slovenian (Vanja Cvelbar)
    - Dzongkha (dawa pemo)
      (Still not activated, no NSIS translation)
    - Dutch (Eric Spreen)
    - Greek (Emmanuel Galatoulas, Closes: #604454)

 -- Didier Raboud <didier@raboud.com>  Sun, 28 Nov 2010 16:52:09 +0100

win32-loader (0.6.20) unstable; urgency=low

  [ Updated translations ]
    - Belarusian (Viktar Siarheichyk)
    - Tamil (Dr.T.Vasudevan)
      (Still not activated, no NSIS translation)
    - Esperanto (Felipe Castro)
    - Catalan (Jordi Mallach, Closes: #600640)

 -- Didier Raboud <didier@raboud.com>  Thu, 21 Oct 2010 09:25:00 +0200

win32-loader (0.6.19) unstable; urgency=low

  [ Updated translations ]
    - Asturian (Maacub)
    - Spanish (Javier Fernández-Sanguino)
    - Icelandic added (Sveinn í Felli)
    - Telegu (Veeven). Closes: #593097

  * Update the kfreebsd daily netboot download.
  * Fix wrong Windows 7 detection as Windows NT and specify the device name in
    the bootmgr (Closes: #595140)

 -- Didier Raboud <didier@raboud.com>  Thu, 02 Sep 2010 20:04:38 +0200

win32-loader (0.6.18) unstable; urgency=low

  [ Updated translations ]
    - Galician (Jorge Barreiro)
    - Kazakh (Baurzhan Muftakhidinov). Closes: #587208
      (Still not activated, no NSIS translation)
    - Traditional Chinese (Tetralet). Closes: #494361, #513917
    - Bosnian added (Armin Beširović)
    - Esperanto fixed (LANG_ESPERANTO)
    - Danish added (Joe Hansen). Closes: #591103
    - Asturian added (Marcos Alvarez Costales). Closes: #511625
      (Not activated, no NSIS translation)

  [ Christian Perrier ]
  * Activate Bosnian translation
  * Activate Arabic translation (supported in NSIS 2.46)
  * Activate Esperanto translation (supported in NSIS 2.46)
  * Activate Irish translation (supported in NSIS 2.46)
  * Activate Slovenian translation (supported in NSIS 2.46)
  * Activate Ukrainian translation (supported in NSIS 2.46)
  * Update versioned build dependency on nsis to 2.43 (introduction
    of Esperanto)

  [ Didier Raboud ]
  * Call makensis verbosely.
  * Vietnamese is not activated; document that in l10n/Makefile
  * Bump Standards to 3.9.1.0 without changes needed. 

 -- Didier Raboud <didier@raboud.com>  Tue, 03 Aug 2010 20:57:36 +0200

win32-loader (0.6.17) unstable; urgency=low

  [ Updated translations ]
    - Bulgarian (Damyan Ivanov)
    - Czech (Miroslav Kure)
    - German (Holger Wansing). Closes: #580755
    - Norwegian Bokmal (Hans Fredrik Nordhaug)
    - Portuguese (Miguel Figueiredo)
    - Slovak (Ivan Masár)
    - Simplified Chinese (YunQiang Su)
    - Thai (Theppitak Karoonboonyanan)
    - Romanian (Andrei Popescu)

  * Specify grub-mkimage's --format to i386-pc (Closes: #584371)

 -- Didier Raboud <didier@raboud.com>  Thu, 03 Jun 2010 14:12:11 +0200

win32-loader (0.6.16) unstable; urgency=low

  * Add basic kFreeBSD support (Closes: #579742)
    + What works: fetching and booting a kFreeBSD d-i from standalone version
    - What doesn't: preseeding, stable install, g-i, media install

  * Move files to /usr/share/win32/ to be consistent with other win32 packages.
  * Sync linux bootparam VIDEO_MODE definition with rest of d-i
    - Revert the grub.cfg generation code update (aka s/vga=/set gfxpayload/g)

 -- Didier Raboud <didier@raboud.com>  Wed, 05 May 2010 18:28:39 +0200

win32-loader (0.6.15) unstable; urgency=low

  * Update the daily images URLs.
  * Remove hardcoded release codenames.
  * Remove the getwindowsversion.nsh code duplicate (included in nsis).
    - Take the opportunity to widen Windows version conditions.
  * Separate network (with a http shipped preseed.cfg) from standalone
    functionality (completely lonely executable).
  * Store the old boot.ini timeout value. Closes: #476777
  * Update the grub.cfg generation code to cope with recent grub-pc
    (aka s/vga=/set gfxpayload/g)
  * Update Build-Dependency on cpio-win32 to >= 2.11-4 to fix initramfs
    preseed.cfg embedding which broke the installer boot.

  * Add myself to copyright files.
  * Add the DM-Upload-Allowed field to debian/control.

 -- Didier Raboud <didier@raboud.com>  Fri, 30 Apr 2010 10:00:00 +0200

win32-loader (0.6.14) unstable; urgency=high

  [ Updated translations ]
    - Simplified Chinese (苏运强).
    - German (Holger Wansing). Closes: #566567
    - Slovak (Ivan Masár). Closes: #568370
    - Bengali (Sadia Afroz).
    - Vietnamese (Clytie Siddall). Closes: #568978
    - Japanese.
    - Tamil added (but not activated as not supported in NSIS)
      Closes: #578501.

  [ Didier Raboud ]
  * Add myself to Uploaders.
  * Add mingw32-runtime to Build-Depends. Closes: #569389
    - Urgency high for RC bug fixing.
  * Convert packaging to tiny debhelper style.
    - Drop cdbs B-D, bump debhelper B-D version and compat.
  * Use 3.0 (native) source format.
  * Provide the standalone version. Closes: #464233
  * Point to specific GPL version in debian/copyright
  * Rewrite description. Closes: #578567
  * Add Vcs-* fields to debian/control.
  * Bump Standards to 3.8.4 without changes needed.

 -- Christian Perrier <bubulle@debian.org>  Fri, 23 Apr 2010 07:14:40 +0200

win32-loader (0.6.13) unstable; urgency=low

  [ Robert Millan ]
  * Update for GRUB module rename.  (Closes: #545648)

