=== debian/control ===
Source: win32-loader
Section: utils
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <didier@raboud.com>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 7.0.50),
 nsis (>= 2.43),
 gcc-mingw32, mingw32-runtime,
 gettext,
 grub-pc (>= 1.97+20091130-1~),
 loadlin (>= 1.6c.really1.6c.nobin-1~),
 locales-all,
 cpio-win32 (>= 2.11-4), gzip-win32
Standards-Version: 3.9.1.0
Vcs-Svn: svn://svn.debian.org/d-i/trunk/win32-loader/
Vcs-Browser: http://svn.debian.org/wsvn/d-i/trunk/win32-loader/?op=log

Package: win32-loader
Architecture: all
Depends: ${misc:Depends}, base-files (>= 4.0.1~)
Built-Using: ${w32-loader:built-using}
Suggests: wine
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 This package contains both the cdrom/usb-disk add-on that starts a media-based
 install and the standalone netboot loader.
