## win32-loader 0.7.0

=== Makefile ===
--- 
+++ 
@@ -14,15 +14,54 @@
 NSIS_CFLAGS	+= -L/usr/i586-mingw32msvc/lib/nsis -lpluginapi
 endif
 
+# Standard makensis call
 MAKENSIS	:= makensis -V3
+
+# Add to it some version'ing and date
+MAKENSIS	+= -DVERSION=$(VERSION) -D4DIGITS_DATE=`date +%Y.%m.%d.%H%M`
+
+ifdef OUTFILE_NAME
+MAKENSIS	+= -D_OUTFILE_NAME=$(OUTFILE_NAME)
+endif
+
+# Distributor/Company name (defaults to "The Debian Project")
+ifdef COMPANY_NAME
+MAKENSIS	+= -D_COMPANY_NAME=$(COMPANY_NAME)
+endif
+
+# Distribution name (ASCII only, please)
+ifdef TARGET_DISTRO
+MAKENSIS	+= -DTARGET_DISTRO=$(TARGET_DISTRO)
+endif
+
 # Standalone version : Not linked to a website with preseed.cfg
 ifdef STANDALONE
 MAKENSIS	+= -DNOCD=yes
+OPTIONS_TXT	+= +net
 endif
 
 # Network version : Linked to a website with preseed.cfg
 ifdef NETWORK_BASE_URL
-MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL) -DNOCD=yes
+# Embed the md5sum or sha1sum of the $(NETWORK_BASE_URL)/preseed.cfg file for enhanced security.
+MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL) -DNOCD=yes -DNETWORK_BASE_URL_CHECKSUM=$(NETWORK_BASE_URL_CHECKSUM)
+OPTIONS_TXT	+= +url
+endif
+
+# PXE version (which is standalone too)
+ifdef PXE
+MAKENSIS	+= -DPXE=yes -DNOCD=yes
+OPTIONS_TXT	+= +pxe
+endif
+
+# Disabling the kFreeBSD download
+ifndef NO_KFREEBSD
+MAKENSIS	+= -DKFREEBSD=yes
+else
+OPTIONS_TXT	+= -kbsd
+endif
+
+ifdef OPTIONS_TXT
+MAKENSIS	+= -DOPTIONS_TXT="$(OPTIONS_TXT)"
 endif
 
 # hard disk
@@ -35,6 +74,10 @@
 GRUB_MODULES	+= search linux bsd vbe boot
 # might be useful for debugging
 GRUB_MODULES	+= minicmd cat cpuid chain halt help ls reboot
+ifdef PXE
+# Booting the pxe.lkrn requires linux16
+GRUB_MODULES	+= linux16
+endif
 
 all: win32-loader.exe g2ldr g2ldr.mbr
 
@@ -52,17 +95,26 @@
 
 loadlin.exe: /usr/lib/loadlin/loadlin.exe.gz
 	gunzip -c $^ > $@
+
+ifdef PXE
+pxe.target: pxe.lkrn templates/ternary_choice.ini
+else
+pxe.target:
+endif
 
 win32-loader.exe: main.nsi maps.ini \
 		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
 		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
-		swirl.ico license loadlin.pif loadlin.exe g2ldr g2ldr.mbr
+		plugins/sha1sum.dll \
+		pxe.target \
+		swirl.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
 	$(MAKE) -C l10n
 	$(MAKENSIS) main.nsi
+ifndef OUTFILE_NAME
 	du -h win32-loader.exe
-
-license: license.in debian/changelog
-	sed -e "s/@VERSION@/$(VERSION)/g" < $< > $@
+else
+	du -h $(OUTFILE_NAME)
+endif
 
 plugins/cpuid/test64.dll: plugins/cpuid/cpuid.c plugins/cpuid/plugin.c
 	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
@@ -73,6 +125,10 @@
 	$(NSIS_STRIP) $@
 
 plugins/string.dll: plugins/string.c
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+	$(NSIS_STRIP) $@
+
+plugins/sha1sum.dll: plugins/sha1sum.c
 	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
 	$(NSIS_STRIP) $@
 
@@ -142,7 +198,7 @@
 clean:
 	$(MAKE) -C l10n clean
 	rm -f plugins/cpuid/*.dll plugins/cpuid/*.exe plugins/systeminfo/*.dll plugins/*.dll win32-loader.exe \
-		*.iso *~ */*~ license core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe
+		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe
 
 distclean: clean
 	rm -rf netboot
