=== debian/changelog ===
win32-loader (0.7.0) unstable; urgency=low

  The « Petite Arvine » release.

  * Standalone flavour:
    - Fork gcrypt's win32 sha1um implementation into a NSIS plugin.
    - Implement the last "Trusted download" bits:
      1) Check Release{,.gpg} against debian-archive-keyring.gpg.
      2) Check installer MD5SUMS against its sha1sum in Release, thanks to
         FTP Masters for the archive-side changes.
      3) Check kernel and initrd against their md5sum in MD5SUMS.
    - Print downloaded URLs to details buffer.

  * Network flavour:
    - Don't download g2ldr{,.mbr} from the net: too tiny to be worth.
    - Make the network mode work securely by allowing preseed.cfg checksum
      embedding (Closes: #442180).

  * Updated translations:
    - Galician (Miguel Anxo Bouzada, Closes: #617397)
    - Belarusian (Viktar Siarheichyk, Closes: #617702)
    - Swedish (Martin Bagge, Closes: #618663)

  * Bug-fixing:
    - Don't create a useless boot.ini at uninstall time if it doesn't exist.

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Mar 2011 13:40:11 +0100

win32-loader (0.6.91) unstable; urgency=low

  [ Updated translations ]
    - Bulgarian (Damyan Ivanov, Closes: #614843)
    - Czech (Miroslav Kure)
    - Esperanto (Felipe Castro)
    - Finnish (Tommi Vainikainen, Closes: #614428)
    - German (Holger Wansing, Closes: #617287)
    - Greek (Thomas Vasileiou)
    - Hebrew (Lior Kaplan)
    - Hungarian (SZERVÁC Attila)
    - Icelandic (Sveinn í Felli)
    - Irish (Kevin Scannell)
    - Portuguese (Miguel Figueiredo)
    - Russian (Yuri Kozlov, Closes: #614613)
    - Simplified Chinese (Qijiang Fan)
    - Slovak (Ivan Masár, Closes: #614552)
    - Thai (Theppitak Karoonboonyanan)
    - Ukrainian (Яценко Олександр)

  * Standalone flavour companion text
    - Replace "GPL acceptance" by "language choice"
    - Add acknowledgement to NSIS
    - Include win32-loader version number
  * Translations
    - Also update non-supported languages.
    - Enable Danish.

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Mar 2011 21:09:59 +0100

win32-loader (0.6.90) unstable; urgency=low

  The "Let's Squeeze win32-loader!" release

  * General
    - Remove license click-trough.
    - Add executable properties and proper branding.
    - Also add branding to the Uninstaller info in the Windows registry.
    - Split main.nsi in multiple files, make sure GPLv3+ license headers are
      in all split files.
    - Allow build-time outfile name selection.
    - Allow build-time choice of Company Name.
    - Enhance >= Vista boot device detection with bcdedit.exe.
    - Update my copyright notices to 2011.

  * Standalone flavour
    - Add PXE functionality (Closes: #607417).
    - Add a PXE-specific boot text.
    - Add a notice in THANKS for the people behind the PXE patch.
    - Make the Windows bootloader entry distro- and kernel- specific.
    - Debian GNU/kFreeBSD was released as "stable", remove the corresponding
      TODO.
    - Allow opt-out of the the GNU/kFreeBSD download possibility.
    - Make sure default desktop is GNOME.
    - Use cdn.debian.net instead of ftp.se.d.o to download d-i kernels and
      initrd's.
    - Trustful download
      - Download and check Release{,.gpg} against debian-archive-keyring.gpg
        with gpgv.exe (thanks to the GnuPG maintainers).
      - Check downloaded kernels and initrd's against MD5SUMS.
    - Enhance message for download errors.
    - Don't install the standalone flavour, as it reaches the mirrors trough
      byhand.
    - Only build the standalone version if BYHAND is yes.
    - Document which packages in which versions are embedded.
    - Build the standalone exe with its definitive name.
  
  * Bug-fixing
    - Make sure grub.cfg is always referred to as being in $INSTDIR
      (C:\win32-loader\).
    - Feed the $windows_version variable with something sensible (instead
      of nothing).
    - Use the charset-secured $d-i_ntldr for modern Windows 7 hosts too.
    - Create variable d only on the CD flavours.
    - Define Windows register indexes as build-time variables.
    - Move bcdedit.exe finding earlier.

  * Localisation
    - Fix the Icelandic translation.
    - Add new strings for PXE boot, GPG checking, checksum computation.
    - Force LANGUAGE to fallback to LANG_ENGLISH.
    - Re-brand the program as 'Debian-Installer loader'.
    - Add target distribution and kernel to boot line.
 
  * Packaging
   - Append version and arch to the byhand filenames, to make dak happy;
     thanks to Joerg Jaspert for the dak digging!
   - Add a gitignore file.
   - Bump B-D on grub-pc to >= 1.99~rc1-3 (see #613245).

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Feb 2011 21:15:32 +0100

win32-loader (0.6.22) unstable; urgency=low

  [ Joey Hess ]
  * update Vcs fields

  [ Didier Raboud ]
  * Add a dpkg-distaddfile byhand call to install win32-loader-
    standalone.exe as tools/$(SUITE)/win32-loader.exe on the mirrors.
  * Set BYHAND to "yes".
  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Jan 2011 23:28:30 +0100
